Package org.eclipse.emf.cdo.explorer

## Interface CDOExplorerManager<T extends CDOExplorerElement>

- All Superinterfaces:
    `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<T>`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `CDOCheckoutManager`, `CDORepositoryManager`

      public interface CDOExplorerManager<T extends CDOExplorerElement>
      extends org.eclipse.net4j.util.container.IContainer<T>, IAdaptable

  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOExplorerManager.ElementsChangedEvent` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getUniqueLabel​(java.lang.String label)` |

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getUniqueLabel

          java.lang.String getUniqueLabel​(java.lang.String label)

      Since:
        4.5